package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.SuSubscribeMapper;
import com.ruoyi.business.domain.SuSubscribe;
import com.ruoyi.business.service.ISuSubscribeService;
import com.ruoyi.common.core.text.Convert;

/**
 * 订阅管理Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class SuSubscribeServiceImpl implements ISuSubscribeService 
{
    @Autowired
    private SuSubscribeMapper suSubscribeMapper;

    /**
     * 查询订阅管理
     * 
     * @param suId 订阅管理主键
     * @return 订阅管理
     */
    @Override
    public SuSubscribe selectSuSubscribeBySuId(Long suId)
    {
        return suSubscribeMapper.selectSuSubscribeBySuId(suId);
    }

    /**
     * 查询订阅管理列表
     * 
     * @param suSubscribe 订阅管理
     * @return 订阅管理
     */
    @Override
    public List<SuSubscribe> selectSuSubscribeList(SuSubscribe suSubscribe)
    {
        return suSubscribeMapper.selectSuSubscribeList(suSubscribe);
    }

    /**
     * 新增订阅管理
     * 
     * @param suSubscribe 订阅管理
     * @return 结果
     */
    @Override
    public int insertSuSubscribe(SuSubscribe suSubscribe)
    {
        suSubscribe.setCreateTime(DateUtils.getNowDate());
        return suSubscribeMapper.insertSuSubscribe(suSubscribe);
    }

    /**
     * 修改订阅管理
     * 
     * @param suSubscribe 订阅管理
     * @return 结果
     */
    @Override
    public int updateSuSubscribe(SuSubscribe suSubscribe)
    {
        suSubscribe.setUpdateTime(DateUtils.getNowDate());
        return suSubscribeMapper.updateSuSubscribe(suSubscribe);
    }

    /**
     * 批量删除订阅管理
     * 
     * @param suIds 需要删除的订阅管理主键
     * @return 结果
     */
    @Override
    public int deleteSuSubscribeBySuIds(String suIds)
    {
        return suSubscribeMapper.deleteSuSubscribeBySuIds(Convert.toStrArray(suIds));
    }

    /**
     * 删除订阅管理信息
     * 
     * @param suId 订阅管理主键
     * @return 结果
     */
    @Override
    public int deleteSuSubscribeBySuId(Long suId)
    {
        return suSubscribeMapper.deleteSuSubscribeBySuId(suId);
    }
}
